<button
          nbButton
          size="medium"
          status=""
          class="position-warning"
          [nbPopover]="'BUTTONS.PUB' | translate"
          nbPopoverPlacement="bottom"
        >
          <nb-icon icon="plus-circle-outline"></nb-icon>
        </button>
        <button
          nbButton
          size="medium"
          status="danger"
          class="position-warning"
          [nbPopover]="'BUTTONS.ATT' | translate"
          nbPopoverPlacement="bottom"
        >
          <nb-icon icon="alert-triangle-outline"></nb-icon>
        </button>
        <button
          nbButton
          status="danger"
          class="position-feedback"
          (click)="this.feedbackService.giveFeedback('Archivieren')"
        >
          {{ "PROJECTDETAILS.FEEDBACK" | translate }}
        </button>
          <nb-card>
            <nb-card-body>
              <nb-stepper
                orientation="horizontal"
                linear="false"
                #stepperArchivieren
              >
                <!-- Ab hier Vertikaler Stepper-->

                <!-- Unterschritt: Datenauswahl -->
                <nb-step
                  label="Datenauswahl"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(0, stepperArchivieren),
                    reset: this.stepperService.resetStep(0, stepperArchivieren)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-datenauswahl></app-datenauswahl>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Datenauswahl', 'stepperArchivieren']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(0, stepperArchivieren)"
                        (click)="this.stepperService.completeStep(0, stepperArchivieren)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton disabled nbStepperNext>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Speichermedium -->
                <nb-step
                  label="Speichermedium"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(1, stepperArchivieren),
                    reset: this.stepperService.resetStep(1, stepperArchivieren)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-speichermedium></app-speichermedium>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Speichermedium', 'stepperArchivieren']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(1, stepperArchivieren)"
                        (click)="this.stepperService.completeStep(1, stepperArchivieren)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Vorbereitung
              <nb-step label="Vorbereitung" [stepControl]="{valid: this.stepperService.isStepCompleted(2, stepperArchivieren), reset: this.stepperService.resetStep(2, stepperArchivieren)}">
                <div class="my-stepper-wrapper">
                  <div class="margin-bottom">
                <h4>{{'PROJECTDETAILS.STOR.PREP.TITLE' | translate}}</h4>
                <p class="lorem">
                  {{'PROJECTDETAILS.STOR.PREP.DESC' | translate}}
                </p>
                  </div>
                  <div>
              <app-chat></app-chat>
              <app-checkliste></app-checkliste>
              <app-trainings></app-trainings>
              <app-invite></app-invite>
              <button nbButton status="success" [disabled]="this.stepperService.isStepCompleted(2, stepperArchivieren)" (click)="this.stepperService.completeStep(2, stepperArchivieren)">Mark as Completed</button>
              <button nbButton nbStepperPrevious>prev</button>
              <button nbButton nbStepperNext>next</button>
                  </div>
              </div>
              </nb-step> -->

                <!-- Unterschritt: Format -->
                <nb-step
                  label="Format"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(3, stepperArchivieren),
                    reset: this.stepperService.resetStep(3, stepperArchivieren)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-format></app-format>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Format', 'stepperArchivieren']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(3, stepperArchivieren)"
                        (click)="this.stepperService.completeStep(3, stepperArchivieren)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Prüfung -->
                <nb-step
                  label="Prüfung"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(5, stepperArchivieren),
                    reset: this.stepperService.resetStep(5, stepperArchivieren)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-pruefung></app-pruefung>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Prüfung', 'stepperArchivieren']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(5, stepperArchivieren)"
                        (click)="this.stepperService.completeStep(5, stepperArchivieren)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Archivieren -->
                <nb-step
                  label="Archivieren"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(6, stepperArchivieren),
                    reset: this.stepperService.resetStep(6, stepperArchivieren)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-archivieren-step></app-archivieren-step>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Archivieren', 'stepperArchivieren']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(6, stepperArchivieren)"
                        (click)="this.stepperService.completeStep(6, stepperArchivieren)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>
              </nb-stepper>
            </nb-card-body>
          </nb-card>